commit:     578b6feddd15b7d06792c1bcfb7e08b099500541
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  2 10:15:52 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Feb  2 10:51:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=578b6fed

app-emacs/rg: new package; add verison 2.2.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/rg/Manifest             |  1 +
 app-emacs/rg/files/50rg-gentoo.el |  2 ++
 app-emacs/rg/metadata.xml         | 24 +++++++++++++++++
 app-emacs/rg/rg-2.2.1.ebuild      | 56 +++++++++++++++++++++++++++++++++++++++
 4 files changed, 83 insertions(+)

diff --git a/app-emacs/rg/Manifest b/app-emacs/rg/Manifest
new file mode 100644
index 000000000000..0d335e64e66b
--- /dev/null
+++ b/app-emacs/rg/Manifest
@@ -0,0 +1 @@
+DIST rg-2.2.1.tar.gz 202686 BLAKE2B 
43abfdc5d631d5551272788dc31f8767f2b638604f180dfd0cb96df8d142f97ec644482da660c279f1877ab77477e5f25810de3850439d0210be1e4040c77a98
 SHA512 
eac9c21db6a13299e24f3e6166ff45f378f44454bc02ad8c04b42580d03c67eb28fbaee17feaa53096b7dced2e4e7dbf64a50608c61fe9188530fa0102a0f240

diff --git a/app-emacs/rg/files/50rg-gentoo.el 
b/app-emacs/rg/files/50rg-gentoo.el
new file mode 100644
index 000000000000..df981fef423f
--- /dev/null
+++ b/app-emacs/rg/files/50rg-gentoo.el
@@ -0,0 +1,2 @@
+(add-to-list 'load-path "@SITELISP@")
+(load "rg-autoloads" nil t)

diff --git a/app-emacs/rg/metadata.xml b/app-emacs/rg/metadata.xml
new file mode 100644
index 000000000000..f479f7c94178
--- /dev/null
+++ b/app-emacs/rg/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo GNU Emacs project</name>
+  </maintainer>
+  <longdescription>
+    A search package based on the ripgrep command line tool. It allows you to
+    interactively create searches, doing automatic searches based on the
+    editing context, refining and modifying search results and much more. It is
+    also highly configurable to be able to fit different users' needs. If you
+    are used to built-in Emacs rgrep command, transitioning to rg should be
+    simple. rg provides a lot of extra features but the basics are similar. The
+    big benefit of using ripgrep instead of grep as a backend is speed.
+    Especially when searching large source code repositories where ripgrep
+    really shines.
+  </longdescription>
+  <upstream>
+    <bugs-to>https://github.com/dajva/rg.el/issues/</bugs-to>
+    <remote-id type="github">dajva/rg.el</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/app-emacs/rg/rg-2.2.1.ebuild b/app-emacs/rg/rg-2.2.1.ebuild
new file mode 100644
index 000000000000..f4b24b4f571d
--- /dev/null
+++ b/app-emacs/rg/rg-2.2.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=25.1
+
+inherit elisp
+
+DESCRIPTION="GNU Emacs search tool based on ripgrep"
+HOMEPAGE="https://rgel.readthedocs.io/
+       https://github.com/dajva/rg.el/";
+SRC_URI="https://github.com/dajva/rg.el/archive/${PV}.tar.gz
+       -> ${P}.tar.gz"
+S="${WORKDIR}"/rg.el-${PV}
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+       app-emacs/transient
+       app-emacs/wgrep
+"
+RDEPEND="
+       ${COMMON_DEPEND}
+       sys-apps/ripgrep
+"
+BDEPEND="
+       ${COMMON_DEPEND}
+       test? (
+               app-emacs/ert-runner
+               app-emacs/s
+               app-emacs/undercover
+       )
+"
+
+DOCS=( README.md )
+ELISP_REMOVE="test/rg.el-test.el test/rg-isearch.el-test.el"
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+       elisp_src_compile
+       elisp-make-autoload-file
+}
+
+src_test() {
+       ert-runner -L . -L test --reporter ert+duration --script test || die
+}
+
+src_install() {
+       elisp_src_install
+       doinfo rgel.info
+}

Reply via email to